TCPBUG(1)

NAME
tcpbug - TCP/IP connection bugging device

SYNOPSIS
tcpbug [-cx] [-btT] local-port remote-host remote-port

DESCRIPTION
tcpbug forwards a TCP/IP connection to port local-port on the local machine to the port remote-port on remote-host while spying on the connection and writing all data passing through to standard output. All data coming from the client is printed with a greater than sign (>) first on each line, and all data coming from the server is printed with a less than sign (<) first on each line. Any byte offsets and time-stamps are printed before the greater than or less than sign, and are separated from each other by a colon (:).

OPTIONS

-b  Print the offset of the first byte in the stream for each line.

-c  Display bytes as individual characters. Printable characters are displayed directly, some control characters appear as C-language escapes (\n, \r, \t et.c), while others appear as 3-digit octal numbers. This should be similar to the -c switch of od(1).

-t  Print the time at which the data was received for each line. The time is the number of seconds and microseconds, separated by a decimal point (.), since 00:00 UTC, January 1, 1970, as reported by gettimeofday().

-T  Print the time at which the data was received for each line. The time is the number of seconds and microseconds, separated by a decimal point (.), since the connections were established.

-x  Display each byte as a two digit hexadecimal number.

SEE ALSO
tcpconnect(1), tcplisten(1), od(1).

BUGS
The names of the options are not yet finalized, and may change at a future release.